Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.collision
Class Distance

    java.lang.Object
      org.jbox2d.collision.Distance

    public class Distance

extends java.lang.Object

Field Summary
`static int` | `g_GJK_Iterations`

Constructor Summary
`Distance()`

Method Summary
`static float` | `distance(Vec2 x1, Vec2 x2, Shape shape1, XForm xf1, Shape shape2, XForm xf2)`
`protected static float` | `DistanceCC(Vec2 x1, Vec2 x2, CircleShape circle1, XForm xf1, CircleShape circle2, XForm xf2)`
`static float` | `DistanceGeneric(Vec2 x1, Vec2 x2, SupportsGenericDistance shape1, XForm xf1, SupportsGenericDistance shape2, XForm xf2)`
`protected static float` | `DistancePC(Vec2 x1, Vec2 x2, PolygonShape polygon, XForm xf1, CircleShape circle, XForm xf2)`
`protected static boolean` | `InPoints(Vec2 w, Vec2[] points, int pointCount)`
`protected static int` | `ProcessThree(Vec2 x1, Vec2 x2, Vec2[] p1s, Vec2[] p2s, Vec2[] points)`
`protected static int` | `ProcessTwo(Vec2 x1, Vec2 x2, Vec2[] p1s, Vec2[] p2s, Vec2[] points)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### g_GJK_Iterations

    public static int g_GJK_Iterations

Constructor Detail

### Distance

    public Distance()

Method Detail

### ProcessTwo

    protected static int ProcessTwo(Vec2 x1,
                                    Vec2 x2,
                                    Vec2[] p1s,
                                    Vec2[] p2s,
                                    Vec2[] points)

### ProcessThree

    protected static int ProcessThree(Vec2 x1,
                                      Vec2 x2,
                                      Vec2[] p1s,
                                      Vec2[] p2s,
                                      Vec2[] points)

### InPoints

    protected static boolean InPoints(Vec2 w,
                                      Vec2[] points,
                                      int pointCount)

### DistanceGeneric

    public static float DistanceGeneric(Vec2 x1,
                                        Vec2 x2,
                                        SupportsGenericDistance shape1,
                                        XForm xf1,
                                        SupportsGenericDistance shape2,
                                        XForm xf2)

### DistanceCC

    protected static float DistanceCC(Vec2 x1,
                                      Vec2 x2,
                                      CircleShape circle1,
                                      XForm xf1,
                                      CircleShape circle2,
                                      XForm xf2)

### DistancePC

    protected static float DistancePC(Vec2 x1,
                                      Vec2 x2,
                                      PolygonShape polygon,
                                      XForm xf1,
                                      CircleShape circle,
                                      XForm xf2)

### distance

    public static float distance(Vec2 x1,
                                 Vec2 x2,
                                 Shape shape1,
                                 XForm xf1,
                                 Shape shape2,
                                 XForm xf2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD